* {
    box-sizing: border-box;
}

html {
    background: url('../imgs/galaxy.jpg') no-repeat center center fixed;
    background-size:cover;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

body {
    margin: 0;
    padding: 0;
}

main {
    width: 1060px;
    margin: 0 auto;
    background-color: rgba(0, 0, 0, 0.5);
}

h1 {
    color: white;
    text-align: center;
    padding-top: 40px;
    font-family: 'Do Hyeon', sans-serif;
    font-size: 40px;
}

.container {
    height: 500px;
    margin-top: 90px;
    align-items: center;
    justify-content: center;
    background: url('../imgs/transparent.png');
    background-position: bottom 0px right 0px;
    background-repeat: no-repeat;
    background-size:auto;
    box-shadow: 0px 8px 15px 8px rgba(255, 34, 226, 0.1);
}

.keys {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin-top: 60px;
}

.playing {
    transform: scale(1.3);
    border-color: rgba(255, 34, 226, 0.9);
    box-shadow: 0 0 1rem rgba(255, 34, 226, 0.9);
}

.key {
    border: .4rem solid black;
    border-radius: .5rem;
    margin: 1rem;
    font-size: 1.5rem;
    padding: 1rem .5rem;
    transition: all .07s ease;
    width: 10rem;
    text-align: center;
    background: rgba(0,0,0,0.4);
  }

  .sound {
    font-size: 1.2rem;
    text-transform: uppercase;
    letter-spacing: .1rem;
    color: white;
    display:block;
  }

  kbd {
    color: #fff;
    font-size: 25px;
    text-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 15px #c116d8, 0 0 20px #c116d8, 0 0 25px #FF10F0, 0 0 30px #FF10F0, 0 0 35px #FF10F0;
    font-family: 'Do Hyeon', sans-serif;
  }

  /* Responsiveness */

@media (min-width: 640px) {
    body {
        font-size: 1rem;
    }
}

@media (min-width:960px) {
    body {
        font-size: 1.2rem;
    }
}

@media (min-width:1100px) {
    body {
        font-size: 1.2rem;
    }
}

@media screen and (max-width: 960px) {
    main {
        width: auto;
        height: auto;
        margin: 0 auto;
    }
    .container {
        width: auto;
        height: auto;
        margin: 30px 10px;
    }
    .keys {
        width: 50%;
        flex-direction: column;
        align-items: center;
        margin: 0 auto;
        margin-top: 30px;
    }
}